PCSCTEST(8)

NAME
pcsctest

SYNOPSIS
pcsctest

DESCRPTION
pcsctest runs a test on pcscd, lists the readers currently connected, and displays card information if a card is inserted.

OPTIONS
None

USAGE
pcsctest lists the currently connected readers and asks the user to choose one. After choosing the reader, pcsctest will ask the user to insert a card into the card reader. If this happens pcsctest will display the cards's ATR and other information. Example: The following will occur if no reader is inserted and recognized: MUSCLE PC/SC Lite Test Program
  Testing SCardEstablishContext : Command successful.
  Testing SCardGetStatusChange Once a reader is inserted and recognized the following will occur:

  MUSCLE PC/SC Lite Test Program
  Testing SCardEstablishContext : Command successful.
  Testing SCardGetStatusChange
  Please insert a working reader : Command successful.
  Testing SCardListReaders : Command successful.
  Reader 01: SCM SCR-331 CCID 0 0
  Enter the reader number : 1
  Waiting for card insertion
                        : Command successful.
  Testing SCardConnect : Command successful.
  Testing SCardStatus : Command successful.
  Current Reader Name : CCID USB Reader 0 0
  Current Reader State : 34
  Current Reader Protocol : 0
  Current Reader ATR Size : 9
  Current Reader ATR Value : 3B E2 00 00 04 03 00
  Testing SCardDisconnect : Command successful.
  Testing SCardReleaseContext : Command successful.
  PC/SC Test Completed Successfully !

SEE ALSO
pcscd(8)

BUGS